package de.uks.ep1415.tutorium.ha13;
import java.util.ArrayList;

import processing.core.PApplet;

public class LectureIndex extends PApplet {

	static final String FILENAME = "Vorlesungen.csv";

	TeacherList teachers = new TeacherList();
	LectureList lectures = new LectureList();
	ArrayList<Appointment> appointments = new ArrayList<Appointment>();

	public static void main(String[] args) {
		PApplet.main(LectureIndex.class.getName());
	}

	@Override
	public void setup() {
		size(800, 600);
		background(255);
		fill(0);
		textSize(18);

		String[] lines = loadStrings(FILENAME);

		for (String line : lines) {
			String[] split = line.split(";");
			Lecture currentLecture = lectures.getOrCreate(split[0]);
			Teacher currentTeacher = teachers.getOrCreate(split[4]);

			int start = Integer.valueOf(split[1]);
			int end = Integer.valueOf(split[2]);

			appointments.add(new Appointment(currentTeacher, currentLecture, split[3], start, end));
		}

		int linePos = 50;
		//list all teachers
		for (Teacher t : teachers) {
			text(t.name, 25, linePos);
			linePos += 25;
			//list all appointments for the current teacher
			for (Appointment a : appointments) {
				if(a.teacher.name.equals(t.name)){
					text(a.lecture.name+", "+a.weekday+" "+a.start+"-"+a.end+" Uhr", 50, linePos);
					linePos += 25;
				}
			}
		}

	}

}
